Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 706720

Summary: x11-plugins/wmix-3.4 : fails to build with -fno-common or gcc-10
Product: Gentoo Linux Reporter: Toralf Förster <toralf>
Component: Current packagesAssignee: Bernard Cafarelli <voyageur>
Status: RESOLVED FIXED    
Severity: normal    
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 705764    
Attachments: emerge-info.txt
emerge-history.txt
environment
etc.portage.tbz2
logs.tbz2
temp.tbz2
x11-plugins:wmix-3.4:20200127-160539.log

Description Toralf Förster gentoo-dev 2020-01-27 17:40:50 UTC
x86_64-pc-linux-gnu-gcc -DPACKAGE_NAME=\"wmix\" -DPACKAGE_TARNAME=\"wmix\" -DPACKAGE_VERSION=\"3.4\" -DPACKAGE_STRING=\"wmix\ 3.4\" -DPACKAGE_BUGREPORT=\"wmaker-dev@googlegroups.com\" -DPACKAGE_URL=\"\" -DPACKAGE=\"wmix\" -DVERSION=\"3.4\" -DHAVE_LIBASOUND=1 -DHAVE_LIBM=1 -DHAVE_LIBX11=1 -DHAVE_LIBXEXT=1 -DHAVE_LIBXPM=1 -DHAVE_LIBXRANDR=1 -I.     -O2 -pipe -march=native -fno-common -c -o ui_x.o ui_x.c
x86_64-pc-linux-gnu-gcc -DPACKAGE_NAME=\"wmix\" -DPACKAGE_TARNAME=\"wmix\" -DPACKAGE_VERSION=\"3.4\" -DPACKAGE_STRING=\"wmix\ 3.4\" -DPACKAGE_BUGREPORT=\"wmaker-dev@googlegroups.com\" -DPACKAGE_URL=\"\" -DPACKAGE=\"wmix\" -DVERSION=\"3.4\" -DHAVE_LIBASOUND=1 -DHAVE_LIBM=1 -DHAVE_LIBX11=1 -DHAVE_LIBXEXT=1 -DHAVE_LIBXPM=1 -DHAVE_LIBXRANDR=1 -I.     -O2 -pipe -march=native -fno-common -c -o mmkeys.o mmkeys.c
x86_64-pc-linux-gnu-gcc -DPACKAGE_NAME=\"wmix\" -DPACKAGE_TARNAME=\"wmix\" -DPACKAGE_VERSION=\"3.4\" -DPACKAGE_STRING=\"wmix\ 3.4\" -DPACKAGE_BUGREPORT=\"wmaker-dev@googlegroups.com\" -DPACKAGE_URL=\"\" -DPACKAGE=\"wmix\" -DVERSION=\"3.4\" -DHAVE_LIBASOUND=1 -DHAVE_LIBM=1 -DHAVE_LIBX11=1 -DHAVE_LIBXEXT=1 -DHAVE_LIBXPM=1 -DHAVE_LIBXRANDR=1 -I.     -O2 -pipe -march=native -fno-common -c -o wmix.o wmix.c
x86_64-pc-linux-gnu-gcc  -O2 -pipe -march=native -fno-common  -Wl,-O1 -Wl,--as-needed -o wmix misc.o config.o mixer-alsa.o mixer-oss.o ui_x.o mmkeys.o wmix.o  -lXrandr -lXpm -lXext -lX11 -lm -lasound 
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: wmix.o:(.bss+0x58): multiple definition of `mixer_set_volume_rel'; ui_x.o:(.bss+0x58): first defined here
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: wmix.o:(.bss+0x68): multiple definition of `mixer_get_volume'; ui_x.o:(.bss+0x68): first defined here

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_systemd-20200126-201521

  -------------------------------------------------------------------

  Please see the tracker bug for details.

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.2.0 *


llvm:
9.0.1
Available Python interpreters, in order of preference:
  [1]   python3.8
  [2]   python3.6
  [3]   python3.7 (fallback)
  [4]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby24 (with Rubygems)
  [2]   ruby25 (with Rubygems) *




repository:
==> /var/db/repos/gentoo/metadata/timestamp.chk <==
Mon, 27 Jan 2020 15:06:28 +0000

emerge -qpvO x11-plugins/wmix
[ebuild  N    ] x11-plugins/wmix-3.4
Comment 1 Toralf Förster gentoo-dev 2020-01-27 17:40:53 UTC
Created attachment 605564 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-01-27 17:40:56 UTC
Created attachment 605566 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2020-01-27 17:40:59 UTC
Created attachment 605568 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2020-01-27 17:41:01 UTC
Created attachment 605570 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2020-01-27 17:41:04 UTC
Created attachment 605572 [details]
logs.tbz2
Comment 6 Toralf Förster gentoo-dev 2020-01-27 17:41:07 UTC
Created attachment 605574 [details]
temp.tbz2
Comment 7 Toralf Förster gentoo-dev 2020-01-27 17:41:10 UTC
Created attachment 605576 [details]
x11-plugins:wmix-3.4:20200127-160539.log
Comment 8 Larry the Git Cow gentoo-dev 2020-01-29 18:27:49 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ca77453ab4c49bb3edcf20213d431159bcad7de9

commit ca77453ab4c49bb3edcf20213d431159bcad7de9
Author:     Bernard Cafarelli <voyageur@gentoo.org>
AuthorDate: 2020-01-29 18:07:55 +0000
Commit:     Bernard Cafarelli <voyageur@gentoo.org>
CommitDate: 2020-01-29 18:27:00 +0000

    x11-plugins/wmix: fix build with -fno-common
    
    Closes: https://bugs.gentoo.org/706720
    Package-Manager: Portage-2.3.86, Repoman-2.3.20
    Signed-off-by: Bernard Cafarelli <voyageur@gentoo.org>

 x11-plugins/wmix/files/wmix-3.4-gcc-10.patch | 89 ++++++++++++++++++++++++++++
 x11-plugins/wmix/wmix-3.4.ebuild             |  4 +-
 2 files changed, 92 insertions(+), 1 deletion(-)